Open CASCADE Technology: TopOpeBRepDS_FaceEdgeInterference Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TopOpeBRepDS_FaceEdgeInterference Class Reference

ShapeShapeInterference. More...

`#include <TopOpeBRepDS_FaceEdgeInterference.hxx>`

Inheritance diagram for TopOpeBRepDS_FaceEdgeInterference:
[legend]

## Public Member Functions
| TopOpeBRepDS_FaceEdgeInterference (const TopOpeBRepDS_Transition &T, const Standard_Integer S, const Standard_Integer G, const Standard_Boolean GIsBound, const TopOpeBRepDS_Config C)
| Create an interference of EDGE <G> on FACE <S>. More...
virtual Standard_OStream & | Dump (Standard_OStream &OS) const
Public Member Functions inherited from TopOpeBRepDS_ShapeShapeInterference
| TopOpeBRepDS_ShapeShapeInterference (const TopOpeBRepDS_Transition &T, const TopOpeBRepDS_Kind ST, const Standard_Integer S, const TopOpeBRepDS_Kind GT, const Standard_Integer G, const Standard_Boolean GBound, const TopOpeBRepDS_Config C)
| a shape interfers on shape <G> with shape <S>. examples : create a ShapeShapeInterference describing : vertex V of edge E1 found on edge E2 : ST,S,GT,G = TopOpeBRepDS_EDGE,E2,TopOpeBRepDS_VERTEX,V More...
TopOpeBRepDS_Config | Config () const
Standard_Boolean | GBound () const
void | SetGBound (const Standard_Boolean b)
Public Member Functions inherited from TopOpeBRepDS_Interference
| TopOpeBRepDS_Interference ()
| TopOpeBRepDS_Interference (const TopOpeBRepDS_Transition &Transition, const TopOpeBRepDS_Kind SupportType, const Standard_Integer Support, const TopOpeBRepDS_Kind GeometryType, const Standard_Integer Geometry)
| TopOpeBRepDS_Interference (const Handle< TopOpeBRepDS_Interference > &I)
const TopOpeBRepDS_Transition & | Transition () const
TopOpeBRepDS_Transition & | ChangeTransition ()
void | Transition (const TopOpeBRepDS_Transition &T)
void | GKGSKS (TopOpeBRepDS_Kind &GK, Standard_Integer &G, TopOpeBRepDS_Kind &SK, Standard_Integer &S) const
| return GeometryType + Geometry + SupportType + Support More...
TopOpeBRepDS_Kind | SupportType () const
Standard_Integer | Support () const
TopOpeBRepDS_Kind | GeometryType () const
Standard_Integer | Geometry () const
void | SetGeometry (const Standard_Integer GI)
void | SupportType (const TopOpeBRepDS_Kind ST)
void | Support (const Standard_Integer S)
void | GeometryType (const TopOpeBRepDS_Kind GT)
void | Geometry (const Standard_Integer G)
Standard_Boolean | HasSameSupport (const Handle< TopOpeBRepDS_Interference > &Other) const
Standard_Boolean | HasSameGeometry (const Handle< TopOpeBRepDS_Interference > &Other) const
Standard_OStream & | DumpG (Standard_OStream &OS) const
Standard_OStream & | DumpS (Standard_OStream &OS) const
Standard_OStream & | Dump (Standard_OStream &OS, const TCollection_AsciiString &s1, const TCollection_AsciiString &s2) const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

ShapeShapeInterference.

## Constructor & Destructor Documentation

TopOpeBRepDS_FaceEdgeInterference::TopOpeBRepDS_FaceEdgeInterference | ( | const TopOpeBRepDS_Transition & | T,
|  | const Standard_Integer | S,
|  | const Standard_Integer | G,
|  | const Standard_Boolean | GIsBound,
|  | const TopOpeBRepDS_Config | C
| ) |  |

Create an interference of EDGE <G> on FACE <S>.

## Member Function Documentation

virtual Standard_OStream& TopOpeBRepDS_FaceEdgeInterference::Dump | ( | Standard_OStream & | OS | ) | const
| virtual

Reimplemented from TopOpeBRepDS_ShapeShapeInterference.

The documentation for this class was generated from the following file:

- TopOpeBRepDS_FaceEdgeInterference.hxx